List wishlists for authenticated user
Returns a paginated list of wishlists for the authenticated user. The total_items count reflects the filtered results (if applied).
GET
/api/v1/{app_id}/wishlistsAuthorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredUUID of the app
Query parameters
namestringFilter wishlists by name
pageintegerPage number (default: 1, minimum: 1)
per_pageintegerNumber of items per page (default: 20, minimum: 1, maximum: 100)
Responses
200
Paginated list of wishlists with metadata
itemsWishlistResponse[] | nullShow propertiesHide properties
Array of
WishlistResponsecreated_atstringidstringis_defaultbooleanitem_countintegernamestringupdated_atstringuser_idstringpageintegerpage_sizeintegertotal_itemsintegertotal_pagesinteger400
Invalid request parameters
detailsstring[] | nullmessagestringsuccessboolean401
Unauthorized
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean